package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class PracticeGroupBuyParamsDto extends PayParamBasicDto{

    @ApiModelProperty(value = "课程组ID")
    private Long practiceGroupId;

    @ApiModelProperty(value = "付款渠道")
    private String paymentChannel;

    @ApiModelProperty(value = "业务渠道")
    private String paymentBusinessChannel;

    @ApiModelProperty(value = "营销活动编号")
    private Integer activityId;

    private BigDecimal amount;

    private Integer organId;

//    @ApiModelProperty(value = "购买的会员数量")
//    private Integer buyMemberNum = 1;

//    public Integer getBuyMemberNum() {
//        return buyMemberNum;
//    }
//
//    public void setBuyMemberNum(Integer buyMemberNum) {
//        this.buyMemberNum = buyMemberNum;
//    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Integer getActivityId() {
        return activityId;
    }

    public void setActivityId(Integer activityId) {
        this.activityId = activityId;
    }

    public Long getPracticeGroupId() {
        return practiceGroupId;
    }

    public void setPracticeGroupId(Long practiceGroupId) {
        this.practiceGroupId = practiceGroupId;
    }

    private Integer userId;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getPaymentChannel() {
        return paymentChannel;
    }

    public void setPaymentChannel(String paymentChannel) {
        this.paymentChannel = paymentChannel;
    }

    public String getPaymentBusinessChannel() {
        return paymentBusinessChannel;
    }

    public void setPaymentBusinessChannel(String paymentBusinessChannel) {
        this.paymentBusinessChannel = paymentBusinessChannel;
    }
}
